﻿
using System.Collections.Generic;
using System.Web.Configuration;

namespace smarttalksbot
{
    public class NavTalker
    {
        public string SenderId { get; set; }
        public string SenderName { get; set; }

        public static NavService.ReportingWebService_PortClient ws;

        public NavTalker(string senderId, string senderName)
        {
            if (NavTalker.ws == null)
            {
                ws = new NavService.ReportingWebService_PortClient();
                ws.ClientCredentials.UserName.UserName = WebConfigurationManager.AppSettings["NavUsername"];
                ws.ClientCredentials.UserName.Password = WebConfigurationManager.AppSettings["NavPassword"];
            }
            SenderId = senderId ?? string.Empty;
            SenderName = senderName ?? string.Empty;
        }

        public string SendMessage2NAV(string messageText)
        {
            return ws.ProcessMessage(SenderId, SenderName, messageText);
        }
    }
}